Module java.base
Package java.nio.file

# Class AtomicMoveNotSupportedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
java.nio.file.FileSystemException
java.nio.file.AtomicMoveNotSupportedException

All Implemented Interfaces:
  `Serializable`

    public class AtomicMoveNotSupportedException
    extends FileSystemException

Checked exception thrown when a file cannot be moved as an atomic file system operation.

Since:
  1.7
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AtomicMoveNotSupportedException​(String source, String target, String reason)` | Constructs an instance of this class.

## Method Summary

### Methods declared in class java.nio.file.FileSystemException

`getFile, getMessage, getOtherFile, getReason`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AtomicMoveNotSupportedException

public AtomicMoveNotSupportedException​(String source, String target, String reason)
Constructs an instance of this class.

Parameters:
  `source` - a string identifying the source file or `null` if not known
  `target` - a string identifying the target file or `null` if not known
  `reason` - a reason message with additional information or `null`